Subject: Re: [PATCH v2 0/3] Changed path filter hash fix and version bump

From: Junio C Hamano <[email-masked]>
Date: Sat, 03 Jun 2023 10:01:54 +0900

Jonathan Tan <[email-masked]> writes:

> Here's a new version. With this, Git can function with both version
> 1 (incorrect murmur3) and version 2 (correct murmur3) changed path
> filters, but not at the same time: the user can set a config variable to
> choose which one, and Git will ignore existing changed path filters of
> the wrong version (and always write the version that the config variable
> says).

Hmph.  On a system with unsigned char, we should be able to keep
using version 1 without losing correctness, I suspect, but probably
they are in the minority we do not have to care about?  I can see
the desire to simplify the migration plan (i.e. essentially have no
migration---this will give us just a flag day per repository), but
I'll let others to comment.

> In patch 1, the test assumes that char is signed. I'm not sure if it's
> worth asserting on the contents of the filter, since it depends on
> whether char is signed, but I've included it anyway (since it's easy
> to remove).

So, on a system with unsigned char, would these tests fail?  Do we
need a prereq to skip them?

Thanks.